aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorGravatar Dirk Hohndel <dirk@hohndel.org>2017-12-05 19:38:42 -0800
committerGravatar Dirk Hohndel <dirk@hohndel.org>2017-12-05 20:05:16 -0800
commitafc1847591e6ee17d85f8fe6902a248f46685b95 (patch)
treedc15c339d13473d98134265b02a50db8eee4b647
parentafd46a60f7b9a7aba0ae515f4ae38c8223761f2d (diff)
downloadsubsurface-afc1847591e6ee17d85f8fe6902a248f46685b95.tar.gz
iOS build: more robust way to determine Qt version
Suggested-by: Robert C. Helling <helling@atdotde.de> Signed-off-by: Dirk Hohndel <dirk@hohndel.org>
-rw-r--r--packaging/ios/build.sh7
1 files changed, 6 insertions, 1 deletions
diff --git a/packaging/ios/build.sh b/packaging/ios/build.sh
index 7011b9fc1..d8ad33c31 100644
--- a/packaging/ios/build.sh
+++ b/packaging/ios/build.sh
@@ -8,7 +8,12 @@ set -e
TOP=$(pwd)
SUBSURFACE_SOURCE=${TOP}/../../../subsurface
IOS_QT=${TOP}/Qt
-QT_VERSION=$(cd ${IOS_QT}; ls -d 5.*)
+QT_VERSION=$(cd ${IOS_QT}; ls -d [1-9]* | sort -n | tail -1)
+
+if [ -z $QT_VERSION ] ; then
+ echo "Couldn't determine Qt version; giving up"
+ exit 1
+fi
# Which versions are we building against?
SQLITE_VERSION=3090200